<?php 

function getCurrentPage(){

	if (isset($_GET['page'])) return $_GET['page'];

	return 1;

}

function buildPagination($table){

	global $PER_PAGE, $mysqli;
	$namePage = 'index.php?page';

	$page = getCurrentPage();

	$offset = ($page-1) * $PER_PAGE;

	$total_pages_sql = "SELECT COUNT(*) FROM $table";
	$result = mysqli_query($mysqli,$total_pages_sql);
	$total_rows = mysqli_fetch_array($result)[0];

	$total_pages = ceil($total_rows / $PER_PAGE);

	$isFirst = $page<=1;
	$hasNext = $page >= $total_pages;
	$class = ($isFirst) ? "disabled" : "";
	$href = ($isFirst) ? '#' : $namePage.'='.($page-1).'';
	$classNext = ($hasNext) ? 'disabled' : '';
	$hrefNext=($hasNext) ? '#' : $namePage.'='.($page+1);
	//First
	$html = '<ul>';
	$html.='<li><a href="'.$namePage.'=1">First</a></li>';
	//Prev
	$html.='<li class="'.$class.'">';
	$html.='<a href="'.$href.'">Prev</a>';
	$html.="</li>";
	//Next
	$html.='<li class="'.$classNext.'">';
	$html.='<a href="'.$hrefNext.'">Next</a>';
	$html.="</li>";
	//Last
	$html.='<li><a href="'.$namePage.'='.$total_pages.'">Last</a></li>';
	$html .= '</ul>';

	echo $html;

}

?>