let imagen
const API_ENDPOINT='backend/api/email'

const enviarDatos = async () =>{
    
    if(!plan){
        return alert("Es necesario seleccionar un plan");
    }
    
    if (formDisabled) {
        return alert("Es necesario llenar todos los campos");
    }

    const nombreComercio = document.querySelector('#nombreComercio').value
    const numeroCertificado = document.querySelector('#numeroCertificado').value
    const alias = document.querySelector('#alias').value
    const digitoVerificador = document.querySelector('#digitoVerificador').value
    const keysource = document.querySelector('#keysource').value
    const razonSocial = document.querySelector('#razonSocial').value
    const cuentaClabe = document.querySelector('#cuentaClabe').value
    const institucionBancaria = document.querySelector('#institucionBancaria').value
    const rfc = document.querySelector('#rfc').value
    const giroEmpresa = document.querySelector('#giroEmpresa').value
    const telefono = document.querySelector('#telefono').value
    const $btnEnviar = document.querySelector('#btnEnviar')

    try {

        $btnEnviar.disabled = true

        const formData = new FormData()
        formData.append('plan',plan)
        formData.append('imagen',imagen)
        formData.append('nombreComercio',nombreComercio)
        formData.append('numeroCertificado',numeroCertificado)
        formData.append('alias',alias)
        formData.append('digitoVerificador',digitoVerificador)
        formData.append('keysource',keysource)
        formData.append('razonSocial',razonSocial)
        formData.append('cuentaClabe',cuentaClabe)
        formData.append('institucionBancaria',institucionBancaria)
        formData.append('rfc',rfc)
        formData.append('giroEmpresa',giroEmpresa)
        formData.append('telefono',telefono)

        const response = await fetch(
            `${API_ENDPOINT}/index.php`,
            {
                method:'POST',
                body:formData,
            }
        )

        console.log("Response ", response)

        const res = await response.json()
        alert("Los datos han sido guardados correctamente")

        console.log("Res ", res)
         btnEnviar.disabled = true

    } catch(e){

        console.error("Error ", e)
        alert("Ocurrió un error inesperado, revisa la captura de pantalla en la sección 4")
         btnEnviar.disabled = false

    } finally {
console.log("Flujo terminado ")
      
    }

}

const $archivo = document.querySelector('#archivo')

$archivo.onchange = function(){
    imagen = this.files[0]
}

const getHeaders = () => {

    const headers = new Headers();

    headers.append('Content-Type', 'application/json');
    headers.append('Accept', 'application/json');

    return headers 

}

document.getElementById("seleccionarArchivo").addEventListener("click", seleccionarArchivoPressed);

document.getElementById("btnEnviar").addEventListener("click", enviarDatos);

document.getElementById("btnPlanBasico").addEventListener("click", btnPlanBasicoPressed);
document.getElementById("btnPlanEstandar").addEventListener("click", btnPlanEstandarPressed);

document.getElementById("btnPortapapeles").addEventListener("click", copiarPortaPressed);


function copiarPortaPressed () {
    console.log("btnPortapapeles")
    copiarAlPortapapeles('https://api.scmfix.com/bm/resultadoOperaciones')
}

function btnPlanBasicoPressed() {
    seleccionarPlan('Bsico')
}

function btnPlanEstandarPressed() {
    seleccionarPlan('Estndar')
}

function seleccionarArchivoPressed() {
    document.getElementById('archivo').click();
}


